part of 'exercise_new_bloc.dart';

@immutable
abstract class ExerciseNewEvent extends Equatable {
  const ExerciseNewEvent();

  @override
  List<Object> get props => [];
}

class ExerciseNewLoad extends ExerciseNewEvent {
  const ExerciseNewLoad();
}

class ExerciseNewQuantityChange extends ExerciseNewEvent {
  final double quantity;
  const ExerciseNewQuantityChange({this.quantity});

  @override
  List<Object> get props => [quantity];
}

class ExerciseNewQuantityUnitChange extends ExerciseNewEvent {
  final double quantity;
  const ExerciseNewQuantityUnitChange({this.quantity});

  @override
  List<Object> get props => [quantity];
}

class ExerciseNewBirthyearChange extends ExerciseNewEvent {
  final int value;
  const ExerciseNewBirthyearChange({this.value});
  @override
  List<Object> get props => [value];
}

class ExerciseNewWeightChange extends ExerciseNewEvent {
  final double value;
  const ExerciseNewWeightChange({this.value});
  @override
  List<Object> get props => [value];
}

class ExerciseNewHeightChange extends ExerciseNewEvent {
  final double value;
  const ExerciseNewHeightChange({this.value});

  @override
  List<Object> get props => [value];
}

class ExerciseNewFitnessLevelChange extends ExerciseNewEvent {
  final String value;
  const ExerciseNewFitnessLevelChange({this.value});

  @override
  List<Object> get props => [value];
}

class ExerciseNewSizeChange extends ExerciseNewEvent {
  final String propertyName;
  final double value;
  const ExerciseNewSizeChange({this.propertyName, this.value});

  @override
  List<Object> get props => [propertyName, value];
}

class ExerciseNewSaveWeight extends ExerciseNewEvent {
  const ExerciseNewSaveWeight();
}

class ExerciseNewBMIAnimate extends ExerciseNewEvent {
  final dynamic value;
  const ExerciseNewBMIAnimate({this.value});

  @override
  List<Object> get props => [value];
}

class ExerciseNewSubmit extends ExerciseNewEvent {
  const ExerciseNewSubmit();
}
