part of 'settings_bloc.dart';

@immutable
abstract class SettingsEvent extends Equatable {
  const SettingsEvent();
  @override
  List<Object> get props => [];
}

class SettingsChangeLanguage extends SettingsEvent {
  final String language;
  const SettingsChangeLanguage({this.language});
}

class SettingsGetLanguage extends SettingsEvent {
  const SettingsGetLanguage();
}

class SettingsSetServer extends SettingsEvent {
  final bool live;
  const SettingsSetServer({this.live});

  @override
  List<Object> get props => [this.live];
}

class SettingsSetHardware extends SettingsEvent {
  final bool hasHardware;
  const SettingsSetHardware({this.hasHardware});

  @override
  List<Object> get props => [this.hasHardware];
}
