import 'package:aitrainer_app/model/exercise_ability.dart';
import 'package:flutter/services.dart';

class ExerciseType {
  int exerciseTypeId;
  //int treeId;
  String name;
  String description;
  BinaryCodec video;
  String unit;
  String unitQuantity;
  String unitQuantityUnit;
  bool active;
  bool base;
  String imageUrl = "";
  String nameTranslation = "";
  String descriptionTranslation = "";
  List<int> devices = List();
  List<int> parents = List();

  ExerciseAbility ability;

  ExerciseType({this.name, this.description});

  ExerciseType.fromJson(Map json) {
    this.exerciseTypeId = json['exerciseTypeId'];
    //this.treeId = json['treeId'];
    this.name = json['name'];
    this.description = json['description'];
    this.unit = json['unit'];
    this.unitQuantity = json['unitQuantity'];
    this.unitQuantityUnit = json['unitQuantityUnit'];
    this.active = json['active'];
    this.base = json['base'];
    if (json['images'].length > 0) {
      this.imageUrl = json['images'][0]['url'];
    }
    if (json['translations'].length > 0) {
      this.nameTranslation = json['translations'][0]['name'];
      this.descriptionTranslation = json['translations'][0]['description'];
    }

    if (json['devices'].length > 0) {
      final List jsonDevices = json['devices'];

      jsonDevices.forEach((device) {
        this.devices.add(device['exerciseDeviceId']);
      });
    }

    if (json['parents'].length > 0) {
      final List jsonParents = json['parents'];

      jsonParents.forEach((parent) {
        this.parents.add(parent['exerciseTreeId']);
      });
    }
  }

  Map<String, dynamic> toJson() => {
        "name": name,
        "description": description,
        "unit": unit,
        "unitQuantity": unitQuantity,
        "unitQuantityUnit": unitQuantityUnit,
        "active": active,
        "devices": this.devices.toString(),
        "nameTranslation": this.nameTranslation,
        "parents": this.parents.toString()
      };

  void setAbility(ExerciseAbility ability) {
    this.ability = ability;
  }

  ExerciseAbility getAbility() {
    return this.ability;
  }

  bool isEndurance() {
    return this.ability.equalsTo(ExerciseAbility.endurance);
  }

  bool is1RM() {
    return this.ability.equalsTo(ExerciseAbility.oneRepMax);
  }
}
