class Product {
  int productId;
  String name;
  String description;
  String type;
  String appVersion;
  int sort;
  int productSet;
  DateTime validFrom;
  DateTime validTo;
  String productIdIos;
  String productIdAndroid;
  double priceIos;
  double priceAndroid;
  String localizedPrice;

  Product.fromJson(Map json) {
    this.productId = json['productId'];
    this.name = json['name'];
    this.description = json['description'];
    this.type = json['type'];
    this.appVersion = json['appVersion'];
    this.sort = json['sort'];
    this.productSet = json['productSet'];
    this.validFrom = json['validFrom'] == null ? null : DateTime.parse(json['validFrom']);
    this.validTo = json['validTo'] == null ? null : DateTime.parse(json['validTo']);
    this.productIdIos = json['productIdIos'];
    this.productIdAndroid = json['productIdAndroid'];
    this.priceIos = json['priceIos'];
    this.priceAndroid = json['priceAndroid'];
  }

  @override
  String toString() {
    Map<String, dynamic> json = {
      'productId': this.productId,
      'name': this.name,
      'description': this.description,
      'type': this.type,
      'appVersion': this.appVersion,
      'sort': this.sort,
      'productSet': this.productSet,
      'validFrom': this.validFrom,
      'validTo': validTo,
      'productIdIos': this.productIdIos,
      'productIdAndroid': this.productIdAndroid,
      'priceIos': this.priceIos,
      'priceAndroid': this.priceAndroid,
    };
    return json.toString();
  }
}
