import 'package:aitrainer_app/localization/app_language.dart';
import 'package:aitrainer_app/repository/exercise_repository.dart';
import 'package:aitrainer_app/widgets/app_bar_min.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class ExerciseTypeDescription extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    final ExerciseRepository exerciseRepository = ModalRoute.of(context).settings.arguments;
    String exerciseDescription = AppLanguage().appLocal == Locale("en")
        ? exerciseRepository.exerciseType.description
        : exerciseRepository.exerciseType.descriptionTranslation;

    String exerciseName =
        AppLanguage().appLocal == Locale("en") ? exerciseRepository.exerciseType.name : exerciseRepository.exerciseType.nameTranslation;

    return Scaffold(
        appBar: AppBarMin(
          back: true,
        ),
        body: Container(
            width: MediaQuery.of(context).size.width,
            height: MediaQuery.of(context).size.height,
            decoration: BoxDecoration(
              image: DecorationImage(
                image: AssetImage('asset/image/WT_light_background.jpg'),
                fit: BoxFit.fill,
                alignment: Alignment.center,
              ),
            ),
            padding: EdgeInsets.only(left: 20, top: 20, right: 15),
            child: ListView(children: [
              Text(
                exerciseName,
                style: TextStyle(color: Colors.blueGrey, fontSize: 20, fontWeight: FontWeight.bold),
              ),
              Divider(
                color: Colors.transparent,
              ),
              InkWell(
                child: Text(
                  exerciseDescription,
                  style: TextStyle(color: Colors.blueGrey, fontSize: 18, fontWeight: FontWeight.normal),
                ),
              ),
            ])));
  }
}
